Package org.italiangrid.voms.ac

# Interface ValidationResultListener

All Known Implementing Classes:
  `NullListener`

public interface ValidationResultListener
This interface is used to notify interested listeners of VOMS attribute certificate validation outcome.

Author:
  andreaceccanti

## Method Summary

Modifier and Type
Method
Description
`void`
`notifyValidationResult(VOMSValidationResult result)`
Informs of the result of the validation of a set of `VOMSAttribute`

## Method Details

### notifyValidationResult

void notifyValidationResult(VOMSValidationResult result)
Informs of the result of the validation of a set of `VOMSAttribute`

Parameters:
  `result` - the validation result